<?php

class fb_yt {

	public $config = array();
	public $msg;
	public $plugin = 'fb-yt-grabber/fb-yt-grabber.php';
	public $ajax_url = 'content/loading.gif';

	public function __construct( $config = null ) {

		if ( is_array( $config ) ) {
			$this->config   = $config;
			$ajax_url       = $this->ajax_url;
			$this->ajax_url = $this->config['url'] . $ajax_url;
			$this->install_plugin();
			$this->hooks();

		}

	}

	public function checkbox( $value, $on = null, $name = null ) {
		if ( $on == null ) {
			if ( isset( $value ) and $value == "on" ) {
				$input
					= '<input id="fb-yt-enable" name="fb-yt-enable" type="checkbox" checked="checked">';
			} else {
				$input
					= '<input id="fb-yt-enable" name="fb-yt-enable" type="checkbox">';
			}
			if ( $name !== null ) {
				$input = str_replace( 'fb-yt-enable', 'fb-yt-' . $name,
					$input );
			}

			return $input;
		} else {
			$data  = get_option( $this->config['db_opt'] );
			$fb_yt = $data['enable'];
			if ( $fb_yt == "on" ) {
				return true;

			} else {
				return false;
			}

		}
	}

	public function update_fb_yt(
		$fb_yt, $fb_yt_loading, $fb_yt_header, $mp3, $fb_yt_down, $fb_cookie='', $fb_proxies=''
	) {
		$fb_yt_options = array(
			'enable' => $fb_yt,
			'icon'   => $fb_yt_loading,
			'header' => $fb_yt_header,
			'mp3'    => $mp3,
			'down'   => $fb_yt_down,
			'fb_cookie'   => $fb_cookie,
			'fb_proxies'   => $fb_proxies
		);
		update_option( $this->config['db_opt'], $fb_yt_options );

	}

	private function default_data( $cond ) {
		if ( $cond == 'header' ) {
			$data
				= '<h1 class="text-center">Download Videos from Facebook & YouTube</h1>';
		} else {
			$data
				= '<form method="POST" action="javascript:void(0)" id="form">
              <div class="download-input mb-4">
                <div class="input-group input-group-lg">
                  <input type="text" id="url" class="form-control" placeholder="Paste link here!">
                  <div class="input-group-append">
                    <button class="btn btn-dark" id="form_submit" type="submit">
                      <i class="fa fa-download fa-lg" aria-hidden="true" style="color:white;background:transparent;margin: 4px;"></i>
                    </button>
                  </div>
                </div>
              </div>
            </form>';
		}

		return $data;

	}

	public function fb_yt_msg( $condition, $msg ) {
		if ( $condition == "success" ) {

			$msg = '<div id="message" class="updated fade"><p>' . $msg
			       . '</p></div>';

		} elseif ( $condition == "error" ) {

			$msg = '<div id="message" class="updated fade error"><p>' . $msg
			       . '</p></div>';

		}
		$this->msg = $msg;
	}

	public function fb_yt_form(
		$fb_yt, $fb_yt_loading, $fb_yt_header, $mp3, $fb_yt_down, $fb_cookie, $fb_proxies
	) {

		if ( empty( $fb_yt_loading ) ) {

			$this->fb_yt_msg( "error", "Ajax image url can't be empty" );

		} else {

			if ( filter_var( $fb_yt_loading, FILTER_VALIDATE_URL ) ) {

				$this->update_fb_yt( $fb_yt, $fb_yt_loading, $fb_yt_header,
					$mp3, $fb_yt_down, $fb_cookie, $fb_proxies );

				$this->fb_yt_msg( "success", "Settings updated!" );

			} else {
				$this->fb_yt_msg( "error", "Invalid Ajax image url." );

			}

		}

	}

	private function install_plugin() {
		$fb_yt_db = $this->config['db_opt'];
		$install  = get_option( $fb_yt_db );
		if ( empty( $install ) ) {
			$this->update_fb_yt( 'on', $this->ajax_url,
				$this->default_data( 'header' ), 'on',
				$this->default_data( 'down' ) );
		}
	}

	public function get_downloader( $url, $fb_yt_header, $fb_yt_down, $mp3 ) {
		$string  = '<div id="fb-yt">%s %s<img src="%s" id="loading-ajax" class="mx-auto" style="display:none!important;">%s';
		$string .= '<div id="downloadbox" class="text-center"></div></div>';
		$mp3     = "<input type='hidden' id='fb-yt-mp3' value='$mp3' />";
		$down    = sprintf( $string, $fb_yt_header, $fb_yt_down, $url, $mp3 );
		if ( $this->checkbox( null, true ) !== true ) {
			$down = "";
		}

		return $down;
	}

	public function fb_yt_plugin( $file ) {
		$plugin_dir     = $this->config['url'];
		$requested_file = $file;

		return $plugin_dir . $requested_file;
	}

	public function fb_yt_dl( $file ) {
		$plugin_dir     = '';
		$requested_file = base64_encode($file);

		return $plugin_dir . $requested_file;
	}

	public function fb_yt_downloader() {
		$data          = get_option( $this->config['db_opt'] );
		$fb_yt         = $data['enable'];
		$fb_yt_loading = $data['icon'];
		$fb_yt_header  = stripslashes( $data['header'] );
		$fb_yt_down    = stripslashes( $data['down'] );
		$fb_yt_mp3     = stripslashes( $data['mp3'] );
		return $this->get_downloader( $fb_yt_loading, $fb_yt_header, $fb_yt_down,
			$fb_yt_mp3 );
	}

	public function call_fb_yt_downloader() {
		$data = get_option( $this->config['db_opt'] );
		$fb_cookie = $data['fb_cookie'];
        $fb_proxies = isset($data['fb_proxies']) ? $data['fb_proxies'] : "";
		define('FB_YT_GRABBER_FB_COOKIE', $fb_cookie);
		define('FB_YT_GRABBER_FB_PROXIES', $this->fb_yt_grabber_set_proxy($fb_proxies));
		check_ajax_referer( 'fb_yt_auth', 'security' );
		include("ajax.php");
		wp_die();
	}

	private function fb_yt_grabber_set_proxy($proxies) {
        $proxies = explode(PHP_EOL, $proxies);
        $proxies = array_filter($proxies);
        if(empty($proxies)) return [];
        $proxy = $proxies[array_rand($proxies)];
        list($host, $auth) = explode('@', $proxy);
        return compact('host', 'auth');
    }

	public function fb_yt_js() {
		wp_enqueue_style( 'fa',
			'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css',
			array(), null );
		wp_enqueue_style( 'fb-yt-grabber',
			$this->fb_yt_plugin( 'content/css/style.css' ), array(), null );
		wp_enqueue_script( 'fb-yt-ajax',
			$this->fb_yt_plugin( 'content/js/ajax.js?v='.time() ), array('jquery'), null, true );
		wp_localize_script( 'fb-yt-ajax', 'fb_yt_ajax', array(
			'url' => admin_url( 'admin-ajax.php' ),
			'ajax_nonce' => wp_create_nonce('fb_yt_auth')
		) );
	}

	public function fb_yt_options() {
		if ( current_user_can( 'manage_options' ) ) {

			require_once( plugin_dir_path( __FILE__ ) . 'options.php' );
			wp_enqueue_script( 'fb_yt_options_js',
				$this->fb_yt_plugin( 'content/js/fb-yt-options.js' ) );
			wp_enqueue_style( 'fb_yt_options_css',
				$this->fb_yt_plugin( 'content/css/fb-yt-options.css' ), array(),
				null );
		} elseif ( ! current_user_can( 'manage_options' ) ) {
			wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
		}

	}

	public function fb_yt_menu() {
		add_options_page( 'Facebook Youtube Video Downloader Options',
			'FB-YT Grabber', 'manage_options', 'fb-yt-grabber',
			array( $this, 'fb_yt_options' ) );
	}

	public function fb_yt_action_link( $links ) {
		$plugin        = plugin_basename( __FILE__ );
		$settings_link = '<a href="'
		                 . admin_url( 'options-general.php?page=fb-yt-grabber' )
		                 . '">Settings</a>';
		array_push( $links, $settings_link );

		return $links;
	}

	private function hooks() {

		$plugin = $this->plugin;
		add_action( 'wp_enqueue_scripts', array( $this, 'fb_yt_js' ) );
		add_action( 'admin_menu', array( $this, 'fb_yt_menu' ) );
		add_action( 'wp_ajax_call_fb_yt_downloader', array( $this, 'call_fb_yt_downloader' ) );
		add_action( 'wp_ajax_nopriv_call_fb_yt_downloader', array( $this, 'call_fb_yt_downloader' ) );
		add_shortcode( $this->config["fb_yt_short"],
			array( $this, 'fb_yt_downloader' ) );
		add_filter( "plugin_action_links_$plugin",
			array( $this, 'fb_yt_action_link' ) );
	}
}