<?php

class fb {
	public $url;
	public $request_url;
	public $fb_title;
	public $id = null;
	public $fb_url = null;
	public $image;
	public $regex;

	function __construct( $url ) {
		$this->fb_title = "Facebook Video";
		$this->image = 'https://upload.wikimedia.org/wikipedia/commons/thumb/a/ac/No_image_available.svg/300px-No_image_available.svg.png';
		$this->url = $url;
		$this->regex = [
			'SD' => [
				'/sd_src_no_ratelimit:"([^"]+)"/',
				'/sd_src:"([^"]+)"/',
				'/"playable_url":"(.*?)"/',
				'/"browser_native_sd_url":"(.*?)"/',
			],
			'HD' => [
				'/hd_src_no_ratelimit:"([^"]+)"/',
				'/hd_src:"([^"]+)"/',
				'/browser_native_hd_url":"([^"]+)"/',
				'/"playable_url_quality_hd":"(.*?)"/'
			]
		];
		$this->id = $this->fbvideoid($url);
	}

	public function fbvideoid( $url ) {
		$url = str_replace('m.facebook.com', 'www.facebook.com', $url);
		// Extract domain from the URL
		preg_match('/^(?:https?:\/\/)?(?:[^@\/\n]+@)?(?:www\.)?([^:\/\n]+)/', $url, $matches);
		$domain = extractMainDomain($matches[1]);

		// Check if the domain name is one of the supported ones
		$supportedDomains = [
			'web.facebook.com',
			'facebook.com',
			'fb.watch',
			'fb.gg'
		];

		return in_array($domain, $supportedDomains);
	}

    private function decode_link($text) {
        $text = json_decode("\"$text\"");
        return str_replace('&amp;', '&', $text);
    }
	
	private function contents() {
		extract($this->curl(getRedirectUrl($this->url)));
		return $data;
	}
	
	private function curl($url) {
        $proxy = FB_YT_GRABBER_FB_PROXIES;
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		if(!empty($proxy)) {
			curl_setopt($ch, CURLOPT_PROXY, $proxy['host']);
			curl_setopt($ch, CURLOPT_PROXYUSERPWD, $proxy['auth']);
		}
        curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/110.0.0.0 Safari/537.36');
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
		curl_setopt($ch, CURLOPT_HTTPHEADER, headers());
		$data = curl_exec($ch);
		$info = curl_getinfo($ch);
		curl_close($ch);
		return compact('data', 'info');
	}

	public function get_url($yt) {
        $content = $this->contents();
        $links = $this->regex_try($content);
		if(count($links)==0) {
		    $links = $this->manifest_try($content);
        }
        if(count($links)==0) return false;

		$title = [
			'"message":{"__type[^>]+tFeedStoryDefault[^>]+"story":{"is_t'.
			'e[^>]+"message":{"de[^>]+"text":"(.*?)"\s*}',
			'message":{"__type[^>]+tFeedStoryDefault[^>]+"story":{"mess'.
			'age":{"text":"(.*?)",*}*',
			'h2 class="uiHeaderTitle"?[^>]+>(.+?)<\/h2>',
			'title id="pageTitle">(.+?)<\/title>'
		];
		if(preg_match('/'.implode('|', $title).'/i', $content, $title_match)){
			$this->fb_title = trim(preg_replace('/\s\s+/', ' ', $this->decode_link(end($title_match))));
		}elseif(preg_match('/"message"\:{"text":"(.*?)"/i', $content, $matches)) {
			$this->fb_title = $this->decode_link($matches[1]);
		}
		
		$img = [
			'<meta\s*name="twitter:image"\s*content="([^"]+)"\s*\/?>',
			'"preferred_thumbnail":{"image":{"uri":"(.*?)"'
		];
		if(preg_match('/'.implode('|', $img).'/i', $content, $image_match)){
			$this->image = $this->decode_link(end($image_match));
		}


		$tr = '<tr><td>%s</small></td><td>%s</td><td><a class="btn btn-outline-dark" href="%s" download>Download</a></td></tr>';
		
		$tr = "<tr><td>%s</td><td>%s</td><td><form action='".$yt."' method='POST' name='fb_yt_grabber_%s'><button type='submit' class='btn btn-outline-dark'>Download</button><input type='hidden' name='yt' value='%s' /><input type='hidden' name='title' value='%s' /></form></td></tr>";

		$link = '';
		
		$slug = strtolower(trim(preg_replace('/[^A-Za-z0-9-]+/', '-', $this->fb_title)));
        $slug = (strlen($slug) > 13) ? substr($slug,0,130).'...' : $slug;

		foreach ($links as $key => $value) {
			$this->fb_url .= sprintf($tr, $value['quality'], $value['size'], $key, base64_encode($value['link']), $slug);
		}
	}

	private function regex_try($content) {
        $links = [];
        foreach($this->regex as $type => $regex_array) {
            foreach($regex_array as $regex) {
                if(preg_match($regex, $content, $match)) {
                    $link = $this->decode_link($match[1]);
                    $links[] = array(
                        'quality' => $type,
                        'link' => $link,
                        'size' => $this->size($link),
                    );
                    break;
                }
            }
        }
        return $links;
    }

	private function manifest_try($content) {
        $manifest = $this->getManifest($content);
        if($manifest===null) return [];
        $extraction = $this->extraction($manifest);
        $links = [];
        foreach($extraction as $label => $link) {
            $link = $this->decode_link($link);
            $links[] = array(
                'quality' => $label,
                'link' => $link,
                'size' => $this->size($link),
            );
        }
        return $links;
    }

	private function extraction($content) {
        $unicode_map = [
            '\u003C' => '<',
            '\u003E' => '>',
            '\u0022' => '"',
            '\u0026' => '&',
            '\n' => "\n",
            '\\' => '',
        ];
        $decodedString = str_replace(array_keys($unicode_map), $unicode_map, $content);

        $pattern = '/FBQualityLabel="(.*?)".*?BaseURL>(.*?)<\/BaseURL>/s';
        preg_match_all($pattern, $decodedString, $matches, PREG_SET_ORDER);

        $qualityLinks = [];
        foreach ($matches as $match) {
            $qualityLabel = $match[1];
            $link = $match[2];
            $qualityLinks[$qualityLabel] = $link;
        }
        return $qualityLinks;

    }

	private function getManifest($content) {
        $re = '/dash_manifest":"(.*?)",/i';
        preg_match($re, $content, $matches);
        if(isset($matches[1])) return $matches[1];
        return null;
    }

    private function size($url, $formatSize = true, $useHead = true) {
        if (false !== $useHead) {
            stream_context_set_default(array('http' => array('method' => 'HEAD')));
        }
        $head = array_change_key_case(get_headers($url, 1));
        // content-length of download (in bytes), read from Content-Length: field
        $clen = isset($head['content-length']) ? $head['content-length'] : 0;

        // cannot retrieve file size, return "-1"
        if (!$clen) {
            return -1;
        }

        if (!$formatSize) {
            return $clen; // return size in bytes
        }

        $size = $clen;
		if(is_array($clen))$clen=end($clen);
        switch ($clen) {
            case $clen < 1024:
                $size = $clen . ' B';
                break;
            case $clen < 1048576:
                $size = round($clen / 1024, 2) . ' KB';
                break;
            case $clen < 1073741824:
                $size = round($clen / 1048576, 2) . ' MB';
                break;
            case $clen < 1099511627776:
                $size = round($clen / 1073741824, 2) . ' GB';
                break;
        }
        return $size; // return formatted size
    }
}
