<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://appvidlab.com
 * @since      1.0.0
 *
 * @package    Tvdww
 * @subpackage Tvdww/admin/partials
 */
?>

<div class="wrap">
  <?php if ($flashMsg): ?>
    <?php printf('<div class="notice notice-%1$s %2$s"><p>%3$s</p></div>', $flashMsg['class'], 'is-dismissible', $flashMsg['msg']);?>
  <?php endif ?>
  <h1><?php _e('TikTok Video Downloader Without Watermark', 'tvdww');?></h1>
  <form method="post" novalidate="novalidate">
    <?php wp_nonce_field( 'nonce-tvdwwlicensekey' );?>
    <table class="form-table" role="presentation">
      <tbody>
        <tr>
          <th scope="row"><label for="tvdwwlicensekey"><?php esc_html_e('Purchase Code', 'tvdww');?></label></th>
          <td>
            <?php if ($pC): ?>
              <input name="tvdwwlicensekey" type="password" id="tvdwwlicensekey" value="<?php esc_attr_e($pC);?>" class="regular-text">
            <?php else: ?>
              <input name="tvdwwlicensekey" type="password" id="tvdwwlicensekey" class="regular-text">
            <?php endif ?>
            <p class="description"><?php _e('Get your purchase code', 'tvdww');?> <a href="<?php esc_attr_e(esc_url('https://codecanyon.net/user/appvidlab'));?>" target="_blank"><?php _e('Here','tvdww');?></a>.</p>
          </td>
        </tr>
      </tbody>
    </table>
    <p class="submit">
      <input type="submit" name="submit" id="submit" class="button button-primary" value="<?php esc_attr_e('Save Changes', 'tvdww');?>">
    </p>
  </form>
  <?php if ($pC): ?>
    <h3><?php _e('Use the shortcode below to showing TikTok Video Downloader Without Watermark Form', 'tvdww');?></h3>
    <code>[tiktok-downloader]</code>
    <p><?php _e('You can place shortcode to post, page, woocommerce product or any custom post type', 'tvdww');?>!</p>
  <?php endif ?>
</div>