(function( $ ) {
	'use strict';

	$(function() {
		[...document.querySelectorAll('.tvdww-form')].map((el) => {
			el.addEventListener('submit', (event) => {
			    event.preventDefault();
			    try {
			    	document.getElementById('tvdwwLoading').style.display = 'block';
			    	const url = el.elements['tvdwwurl'].value;
				    $.ajax({
				        type: 'POST',
				        url: tvdww_ajax.url,
				        data: {
				            nonce: tvdww_ajax.nonce,
				            action: 'tvdww_check_url',
				            tikTokVideoUrl: url,
				        },
				        success: function(response) {
				        	document.getElementById('tvdwwLoading').style.display = 'none';
				        	downloadFileWithLink(response, `${tvdww_ajax.fileName}_${Math.floor(Date.now() / 1000)}.mp4`)
				        	el.reset();
				        },
				        error: function(error) {
				        	document.getElementById('tvdwwLoading').style.display = 'none';
						    	el.reset();
				          alert('something went wrong');
				        },
				        timeout: 60000
				    });
			    } catch (e) {
			    	el.reset();
			    	alert('something went wrong');
			    }
			});
		});

		function downloadFileWithLink(uri, name) {
			document.getElementById('tvdwwLoading').style.display = 'block';
			fetch(uri)
			  .then(resp => resp.status === 200 ? resp.blob() : Promise.reject('something went wrong'))
			  .then(blob => {
			    const url = window.URL.createObjectURL(blob);
			    const a = document.createElement('a');
			    a.style.display = 'none';
			    a.href = url;
			    a.download = name;
			    document.body.appendChild(a);
			    a.click();
			    window.URL.revokeObjectURL(url);
			  })
			  .catch(() => alert('something went wrong'))
			  .finally(() => document.getElementById('tvdwwLoading').style.display = 'none');
		}
	});
})( jQuery );
