<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://appvidlab.com
 * @since             1.0.0
 * @package           Tvdww
 *
 * @wordpress-plugin
 * Plugin Name:       TikTok Video Downloader Without Watermark
 * Plugin URI:        https://appvidlab.com
 * Description:       Unlock the power of seamless content sharing with our TikTok Video Downloader Without Watermark plugin for WordPress. Effortlessly download and showcase your favorite TikTok videos directly on your website, maintaining their original quality and charm. Leave behind the distractions of watermarks and elevate your content curation game with this user-friendly and efficient tool.
 * Version:           1.0.1
 * Author:            VidLab
 * Author URI:        https://appvidlab.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       tvdww
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'TVDWW_VERSION', '1.0.1' );

// Plugin Updater
require 'plugin-update-checker/plugin-update-checker.php';

use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

$myUpdateChecker = PucFactory::buildUpdateChecker(
  'https://github.com/appvidlab/tiktok-video-downloader-without-watermark-wordpress/',
  __FILE__,
  'tvdww'
);

$myUpdateChecker->setBranch('master');
$myUpdateChecker->setAuthentication('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');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-tvdww-activator.php
 */
function activate_tvdww() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-tvdww-activator.php';
	Tvdww_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-tvdww-deactivator.php
 */
function deactivate_tvdww() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-tvdww-deactivator.php';
	Tvdww_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_tvdww' );
register_deactivation_hook( __FILE__, 'deactivate_tvdww' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-tvdww.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_tvdww() {

	$plugin = new Tvdww();
	$plugin->run();

}
run_tvdww();
